Loading...
Searching...
No Matches
realtime.h File Reference
`#include <gnuradio/api.h>`
Include dependency graph for realtime.h:

Go to the source code of this file.

## Namespaces

namespace | gr
| GNU Radio logging wrapper.

## Enumerations

enum | gr::rt_status_t { gr::RT_OK = 0 , gr::RT_NOT_IMPLEMENTED , gr::RT_NO_PRIVS , gr::RT_OTHER_ERROR }
enum | gr::rt_sched_policy { gr::RT_SCHED_RR = 0 , gr::RT_SCHED_FIFO = 1 }

## Functions

GR_RUNTIME_API rt_status_t | gr::enable_realtime_scheduling ()
| If possible, enable high-priority "real time" scheduling.